<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Jürgen Reinhold <jreinhold@freenet.de>
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_DuRanking_Domain_Model_Positions.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage DU_Ranking
 *
 * @author Jürgen Reinhold <jreinhold@freenet.de>
 */
class Tx_DuRanking_Domain_Model_PositionsTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_DuRanking_Domain_Model_Positions
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_DuRanking_Domain_Model_Positions();
	}

	public function tearDown() {
		unset($this->fixture);
	}
	
	
	/**
	 * @test
	 */
	public function getNumberReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getNumber()
		);
	}

	/**
	 * @test
	 */
	public function setNumberForIntegerSetsNumber() { 
		$this->fixture->setNumber(12);

		$this->assertSame(
			12,
			$this->fixture->getNumber()
		);
	}
	
	/**
	 * @test
	 */
	public function getPointsReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getPoints()
		);
	}

	/**
	 * @test
	 */
	public function setPointsForIntegerSetsPoints() { 
		$this->fixture->setPoints(12);

		$this->assertSame(
			12,
			$this->fixture->getPoints()
		);
	}
	
	/**
	 * @test
	 */
	public function getParticipantReturnsInitialValueForTx_DuRanking_Domain_Model_Person() { }

	/**
	 * @test
	 */
	public function setParticipantForTx_DuRanking_Domain_Model_PersonSetsParticipant() { }
	
}
?>